-- SupportSpecializationAni
-- Specialization class for SupportSpecializationAni functionality
--
-- @ Autor  Tobias F. (John Deere 6930 @ 1. Ls-Modschmiede http://landwirtschaftssimulator-mods.de/)
-- @ Last Edit  28/10/2009

SupportSpecializationAni = {};

function SupportSpecializationAni.prerequisitesPresent(specializations)
    return true;
end;

function SupportSpecializationAni:load(xmlFile)
	self.Go.Support = false;
	self.Done.Support = true; 
end;

function SupportSpecializationAni:delete()
end;

function SupportSpecializationAni:mouseEvent(posX, posY, isDown, isUp, button)
end;

function SupportSpecializationAni:keyEvent(unicode, sym, modifier, isDown)
end;

function SupportSpecializationAni:update(dt)
	if self.Go.Support ~= nil and self.Done.Support ~= false then
		for k,joint in pairs(self.componentJoints) do
			setJointFrame(joint.jointIndex, 0,joint.jointNode);
			self:anim("Support", false); 
        end;
	end;
end;

function SupportSpecializationAni:draw()
end;

function SupportSpecializationAni:onAttach()
	self.Go.Support = true;
	self.Done.Support = true; 
end;

function SupportSpecializationAni:onDetach()
	self.Go.Support = false;
	self.Done.Support = true; 
end;

function SupportSpecializationAni:onLeave()

end;

function SupportSpecializationAni:onDeactivate()
end;